<?php
session_start();
//creation de users

//ici on appelle la base de donnee et le header
require ('includes/dbconn.php');
include('includes/header.php');
include('includes/script.php');
if (isset($_POST["save"])){
$prenoms = htmlspecialchars($_POST["prenom"]);
$nom = htmlspecialchars($_POST["nom"]);
$matiere = htmlspecialchars($_POST["matiere"]);
$phone = htmlspecialchars($_POST["telephone"]);

//move_uploaded_file($_FILES["photo"]["tmp_name"],"studentimages/".$_FILES["photo"]["name"]);


  



// Créer la requête SQL pour insérer les données dans la base de données
$sql = "INSERT INTO teacher (prenom, nom, matiere, telephone

) VALUES ('$prenoms','$nom','$matiere','$phone')";

// Exécuter la requête SQL
if (mysqli_query($conn, $sql)) {
  if (!empty($_POST['prenom'])) {
 $_SESSION['success']="Professeur ajoute avec succe";

 exit();
} 
else {
   
}

// Fermer la connexion à la base de données


}
}
else{
  $_SESSION['error']="l'enregistrement a échoué";
}

?>

<div class="container-fluid px-4 mt-5  ">
<form class="row g-3 m-5" role="form" action="" method="POST" enctype="multipart/form-data">
    <h2>Ajouter un professeur</h2>
  <div class="col-md-5">
    <label  class="form-label">Prenom</label>
    <input type="text" class="form-control" name="prenom">
  </div>
  <div class="col-md-5">
    <label  class="form-label">Nom</label>
    <input type="text" class="form-control" name="nom" required>
  </div>
  <div class="col-5">
    <label for="inputAddress2" class="form-label" require>Module enseigne</label>
    <input type="text" class="form-control" name="matiere" required>
  </div>
  <div class="col-5">
    <label for="inputAddress2" class="form-label">Telephone</label>
    <input type="text" class="form-control" name="telephone" >
  </div>
  </div>
  <div class="col-6 column-gap-3">
    <button type="submit" class="btn btn-success float-end btn-lg mb-1 glyphicon glyphicon-save" name="save"><i class="fas fa-save"></i>Ajouter</button>
  </div>
</form>
</div>
<?php 

include('includes/script.php');
?>